Package org.eclipse.lemminx.customservice

## Class ActionableNotification

- java.lang.Object
- - org.eclipse.lemminx.customservice.ActionableNotification

    public class ActionableNotification
    extends Object

An ActionableNotification class. An instance of this class is sent to the client as a parameter for the xml/actionableNotification notification. See `XMLLanguageClientAPI`

### Constructor Summary

Constructors
`ActionableNotification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.eclipse.lsp4j.Command>` `getCommands()`
`Object` `getData()`
`String` `getMessage()` The actual message
`org.eclipse.lsp4j.MessageType` `getSeverity()` The message severity.
`void` `setCommands​(List<org.eclipse.lsp4j.Command> commands)`
`void` `setData​(Object data)`
`void` `setMessage​(String message)` The actual message
`void` `setSeverity​(org.eclipse.lsp4j.MessageType severity)` The message severity.
`String` `toString()`
`ActionableNotification` `withCommands​(List<org.eclipse.lsp4j.Command> commands)`
`ActionableNotification` `withData​(Object data)`
`ActionableNotification` `withMessage​(String message)`
`ActionableNotification` `withSeverity​(org.eclipse.lsp4j.MessageType severity)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActionableNotification

    public ActionableNotification()

### Method Detail

#### getSeverity

    public org.eclipse.lsp4j.MessageType getSeverity()

The message severity. See `MessageType`.

Returns:
  The severity

#### setSeverity

    public void setSeverity​(org.eclipse.lsp4j.MessageType severity)

The message severity. See `MessageType`.

Parameters:
  `severity` - The message severity

#### withSeverity

    public ActionableNotification withSeverity​(org.eclipse.lsp4j.MessageType severity)

#### getMessage

    public String getMessage()

The actual message

Returns:
  The message

#### setMessage

    public void setMessage​(String message)

The actual message

Parameters:
  `message` - The message

#### withMessage

    public ActionableNotification withMessage​(String message)

#### getData

    public Object getData()

Returns:
  the data

#### setData

    public void setData​(Object data)

Parameters:
  `data` - the data to set

#### withData

    public ActionableNotification withData​(Object data)

#### getCommands

    public List<org.eclipse.lsp4j.Command> getCommands()

Returns:
  the commands

#### setCommands

    public void setCommands​(List<org.eclipse.lsp4j.Command> commands)

Parameters:
  `commands` - the commands to set

#### withCommands

    public ActionableNotification withCommands​(List<org.eclipse.lsp4j.Command> commands)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`